<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<project mode="install">
  <target name="preinstall"/>
  <target name="install">
    <extract source="gen" home="${ProductHome}" filename="studio_gen.xml"/>
  </target>
  <target name="postinstall">
    <runFileUtility action="delete">
      <ConstrainBy>
        <FileExist path="${ProductHome}/war/WEB-INF/lib/groovy-all.jar"/>
      </ConstrainBy>
      <delete>
        <file>${ProductHome}/war/WEB-INF/lib/groovy-all.jar</file>
      </delete>
    </runFileUtility>
    <runFileUtility action="delete">
      <ConstrainBy>
        <FileExist path="${ProductHome}/war/WEB-INF/lib/spring-security-openid.jar"/>
      </ConstrainBy>
      <delete>
        <file>${ProductHome}/war/WEB-INF/lib/spring-security-openid.jar</file>
      </delete>
    </runFileUtility>
    <runFileUtility action="delete">
      <ConstrainBy>
        <FileExist path="${ProductHome}/war/WEB-INF/lib/log4j.jar"/>
      </ConstrainBy>
      <delete>
        <file>${ProductHome}/war/WEB-INF/lib/log4j.jar</file>
      </delete>
    </runFileUtility>
    <runFileUtility action="delete">
      <ConstrainBy>
        <FileExist path="${ProductHome}/war/WEB-INF/lib/snakeyaml.jar"/>
      </ConstrainBy>
      <delete>
        <file>${ProductHome}/war/WEB-INF/lib/snakeyaml.jar</file>
      </delete>
    </runFileUtility>
  </target>
</project>
